g(x,y):=parse("("+Text2.val+","+Text0.val+")");
zoom=(2^(|K,M|));
f(x,y):=g(x/zoom,y/zoom);

gxx(x,y):=d(g(#,y)_1,x);
gxy(x,y):=d(g(x,#)_1,y);
gyx(x,y):=d(g(#,y)_2,x);
gyy(x,y):=d(g(x,#)_2,y);
tp=H.xy/zoom;

mat=((gxx(tp.x,tp.y),gxy(tp.x,tp.y)),
 (gyx(tp.x,tp.y),gyy(tp.x,tp.y)));
matice=((gxx(A.x,A.y),gxy(A.x,A.y)),
 (gyx(A.x,A.y),gyy(A.x,A.y)));
ev=eigenvalues(matice);
n=round(2^(|B,F|+4));
dt=(1/2)^(|E,G|);
drawtext(D+(0.2,0.2),"dt="+dt);
drawtext(B+(0.2,0.2),"n="+n);
drawtext(K+(0.2,0.2),"zoom="+zoom);
drawtext(P+(0.2,0.2),"par="+P.x);


rkstep(x,dt,verf):=(
  nn=length(verf);
  mm=zerovector(nn);
  act=x;
  act0=x;
  repeat(nn,ii,
    mm_ii=f(act.x,act.y);
    act=act0+dt*sum(1..ii,jj,mm_jj*verf_ii_jj);
  );
  act;
);




drawfield(f(#.x,#.y),stream->true,resolution->25,move->0.2);

p0=A.xy;
l=[p0];
repeat(n,
  p1=rkstep(p0,dt,kutta3);
//  l=l++[p0];
  draw(p0,p1,color->(0,0,0),size->2,alpha->1-#/n);
  p0=p1;
);

drawtext(H+(-0.2,0.9),"Eigenvalues",size->16);
drawtext(H+(0.2,0.2),ev_1,size->16);
drawtext(H+(0.2,-0.5),ev_2,size->16);
//connect(l,color->(0,0,0),size->2);

colorplot(
   (f(x,#),0,f(#,y)),
   p0-(0.5,0.5),p0+(0.5,0.5)
)